import { Component } from "solid-js";

import styles from './GroupItem.module.css'
import { Group, Wishlist } from "../api";
import { useNavigate } from "@solidjs/router";

export interface GroupItemProps {
	group: Group,
}

const GroupItem: Component<GroupItemProps> = (props) => {
	const navigate = useNavigate();

	return (
		<div class={styles.group} onclick={() => navigate('/group/' + props.group.id)}>
			<div class={styles.groupName}>{props.group.name}</div>
		</div>
	)
};

export default GroupItem;
